> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abliteration.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke a project API key



## OpenAPI

````yaml https://api.abliteration.ai/openapi.json delete /v1/organization/projects/{project_id}/api_keys/{api_key_id}
openapi: 3.1.0
info:
  title: Abliteration Platform API
  summary: Greenfield Abliteration backend and API gateway.
  version: 0.1.0
servers:
  - url: https://api.abliteration.ai
    description: Production environment
security: []
paths:
  /v1/organization/projects/{project_id}/api_keys/{api_key_id}:
    delete:
      tags:
        - Administration
      summary: Revoke a project API key
      operationId: deleteProjectApiKey
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 200
            description: Public project ID.
            title: Project Id
          description: Public project ID.
        - name: api_key_id
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 200
            description: Public API key ID.
            title: Api Key Id
          description: Public API key ID.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdministrationProjectApiKeyDeleted'
        '400':
          description: The request or cursor is invalid.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: The Admin API key is missing, invalid, expired, or revoked.
          headers:
            WWW-Authenticate:
              description: Authentication scheme required by the endpoint.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: The Admin API key lacks the required permission.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: The resource was not found in the credential's organization.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          description: The request conflicts with current resource or idempotency state.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: The request parameters or body are invalid.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: The credential or organization rate limit was exceeded.
          headers:
            Retry-After:
              description: Seconds to wait before retrying.
              schema:
                type: integer
            X-RateLimit-Limit:
              description: Limit for the blocking rate-limit policy.
              schema:
                type: integer
            X-RateLimit-Remaining:
              description: Requests or concurrency slots remaining.
              schema:
                type: integer
            X-RateLimit-Reset:
              description: Unix time when the blocking policy resets.
              schema:
                type: integer
            X-RateLimit-Scope:
              description: Credential or organization policy scope.
              schema:
                type: string
            X-RateLimit-Metric:
              description: Requests or concurrent requests.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: The request failed unexpectedly.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: A required dependency is temporarily unavailable.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - AdminApiKey: []
components:
  schemas:
    AdministrationProjectApiKeyDeleted:
      properties:
        id:
          type: string
          title: Id
        object:
          type: string
          const: organization.project.api_key.deleted
          title: Object
          default: organization.project.api_key.deleted
        deleted:
          type: boolean
          const: true
          title: Deleted
          default: true
      type: object
      required:
        - id
      title: AdministrationProjectApiKeyDeleted
    ErrorResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetail'
      type: object
      required:
        - error
      title: ErrorResponse
    ErrorDetail:
      properties:
        code:
          type: string
          title: Code
          description: Stable machine-readable error code.
        message:
          type: string
          title: Message
          description: Bounded human-readable error message.
        type:
          $ref: '#/components/schemas/ErrorType'
          description: Broad stable error category.
        param:
          anyOf:
            - type: string
            - type: 'null'
          title: Param
          description: Request field related to the error.
        request_id:
          type: string
          title: Request Id
          description: Server-owned canonical request ID.
        doc_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Doc Url
          description: Documentation URL for the error.
      type: object
      required:
        - code
        - message
        - type
        - request_id
      title: ErrorDetail
    ErrorType:
      type: string
      enum:
        - auth_error
        - permission_error
        - validation_error
        - rate_limit_error
        - billing_error
        - moderation_error
        - policy_error
        - media_error
        - not_found_error
        - conflict_error
        - provider_error
        - internal_error
      title: ErrorType
  securitySchemes:
    AdminApiKey:
      type: http
      description: >-
        Server-side organization-owned Abliteration Admin API key. Never expose
        this credential in browser code.
      scheme: bearer

````